Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class AsymmetricKeyParameter

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  AIMerKeyParameters, BLSKeyParameters, CMCEKeyParameters, CMCEKeyParameters, CramerShoupKeyParameters, DHKeyParameters, DilithiumKeyParameters, DSAKeyParameters, ECCSIPrivateKeyParameters, ECCSIPublicKeyParameters, ECKeyParameters, Ed25519PrivateKeyParameters, Ed25519PublicKeyParameters, Ed448PrivateKeyParameters, Ed448PublicKeyParameters, ElGamalKeyParameters, FaestPrivateKeyParameters, FaestPublicKeyParameters, FalconKeyParameters, FrodoKEMKeyParameters, FrodoKeyParameters, GOST3410KeyParameters, HAETAEKeyParameters, HawkKeyParameters, HQCKeyParameters, MayoKeyParameters, MLDSAKeyParameters, MLDSAKeyParameters, MLKEMKeyParameters, MLKEMKeyParameters, MQOMKeyParameters, NaccacheSternKeyParameters, NHPrivateKeyParameters, NHPublicKeyParameters, NTRUKeyParameters, NTRULPRimeKeyParameters, NTRUPlusKeyParameters, QRUOVKeyParameters, RSAKeyParameters, SABERKeyParameters, SAKKEPrivateKeyParameters, SAKKEPublicKeyParameters, SDitHPrivateKeyParameters, SDitHPublicKeyParameters, SLHDSAKeyParameters, SLHDSAKeyParameters, SnovaPrivateKeyParameters, SnovaPublicKeyParameters, SNTRUPrimeKeyParameters, SPHINCSKeyParameters, SQIsignPrivateKeyParameters, SQIsignPublicKeyParameters, UOVKeyParameters, X25519PrivateKeyParameters, X25519PublicKeyParameters, X448PrivateKeyParameters, X448PublicKeyParameters, XWingKeyParameters

public class AsymmetricKeyParameter
extends java.lang.Object
implements CipherParameters

Constructor Summary
`AsymmetricKeyParameter(boolean privateKey)`

Method Summary
`boolean` | `isPrivate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsymmetricKeyParameter

    public AsymmetricKeyParameter(boolean privateKey)

Method Detail

### isPrivate

    public boolean isPrivate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD